Subject: Re: [ANNOUNCEMENT] doxygen 1.9.2-1 (TEST)
From: Brian Inglis <[email-masked]>
To: [email-masked]
Date: Fri, 24 Sep 2021 15:14:42 -0600
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

On 2021-09-24 10:07, Ken Brown via Cygwin wrote:
> On 9/24/2021 2:17 AM, Brian Inglis wrote:
>> On 2021-09-15 11:55, Ken Brown wrote:
>>> On 8/22/2021 2:39 PM, Ken Brown wrote:
>>>> The following packages have been uploaded to the Cygwin distribution 
>>>> as test releases:
>>>> * doxygen-1.9.2-1
>>>> * doxygen-doxywizard-1.9.2-1
>>
>>> These have now been promoted from test to current.
>>
>> Hi Ken,
>>
>> Package doxygen is missing a runtime dependency requirement on 
>> epstopdf in texlive-collection-fontutils since 1.8.9 (2014-12-25)!
> 
> Thanks for the report, Brian.  I've decided to fix this a different way, 
> following Fedora.  Instead of adding dependencies to doxygen, I'm adding 
> a new empty package doxygen-latex, which brings in all the dependencies 
> that doxygen needs for producing LaTeX/pdf output.  It turns out that 
> there are several of them, not just texlive-collection-fontutils.

That's exactly the same approach as Debian;
I couldn't find anything like that under Fedora RPMs:
doxygen.spec just lists a bunch of Requires: tex(latex) type entries.
Is there some other source of truth about Fedora packages than 
https://src.fedoraproject.org/projects/rpms/ or some other way of 
interpreting tex() requirements?

You could now define doxygen-latex as CATEGORY=virtual to avoid calm 
warnings, which sometimes are public and annoying to all uploaders.

You could also go the other way, as OpenSuSE appears to have --disable-d 
and dropped both latex dependencies and building doxygen-doc:
"Kill doxygen-doc subpackages the latex deps keep growing while it is 
really easy to download the generated pdfs from upstream".
[I can't really blame them, as an ~30MB package should not need to drag 
in ~0.5GB of other stuff to produce output.
I feel sorry for those, such as students working from home or 
apts/flats, on non-broadband, limited, or metered networks.]

-- 
Take care. Thanks, Brian Inglis, Calgary, Alberta, Canada

This email may be disturbing to some readers as it contains
too much technical detail. Reader discretion is advised.
[Data in binary units and prefixes, physical quantities in SI.]

-- 
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple